### Virtual Method

# Gcr Prompt prompt_confirm_finish

#### Declaration [src]

    GcrPromptReply
    prompt_confirm_finish (
      GcrPrompt* prompt,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to prompt for confirmation.

`GCR_PROMPT_REPLY_CONTINUE` will be returned if the user confirms the prompt. The return value will also be `GCR_PROMPT_REPLY_CANCEL` if the user cancels or if an error occurs. Check the `error` argument to tell the difference.

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GcrPromptReply`

The reply from the prompt.